# Uses of Enum Class
com.google.protobuf.Extension.ExtensionType

Packages that use Extension.ExtensionType
Package
Description
com.google.protobuf

## Uses of Extension.ExtensionType in com.google.protobuf

Methods in com.google.protobuf that return Extension.ExtensionType
Modifier and Type
Method
Description
`protected abstract Extension.ExtensionType`
Extension.`getExtensionType()`
`protected Extension.ExtensionType`
GeneratedMessage.GeneratedExtension.`getExtensionType()`
`static Extension.ExtensionType`
Extension.ExtensionType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Extension.ExtensionType[]`
Extension.ExtensionType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.